Subject: Re: [PATCH v3 3/4] powerpc/85xx: Move gianfar mdio nodes under the ethernet nodes

From: Anton Vorontsov <[email-masked]>
Date: Wed, 18 Mar 2009 23:39:28 +0300

On Wed, Mar 18, 2009 at 03:35:11PM -0500, Scott Wood wrote:
> Anton Vorontsov wrote:
>> On Wed, Mar 18, 2009 at 03:31:29PM -0500, Scott Wood wrote:
>>> Anton Vorontsov wrote:
>>>> On Wed, Mar 18, 2009 at 11:23:44PM +0300, Anton Vorontsov wrote:
>>>>> I don't see any better solution, should I just leave the core1's
>>>>> mdio node intact?
>>>> Ah. We also could change compatible entry to "fsl,gianfar-slave".
>>>> This will prevent gianfar MAC driver to probe on core1.
>>> ...and also prevent it from probing the children, unless simple-bus 
>>> is  specified, or Linux is given special knowledge of the   
>>> "fsl,gianfar-slave" name.
>>
>> Yup. Do you see any problem with this?
>
> Yes, the mdio node would not get probed.  Why put it in the device tree  
> at all then?

I mean do you see any problem with giving Linux knowledge of
the -slave name?

p.s.

Actually, we can stay with status = ".." property, and if
things ever change, it's always driver's duty to check for
of_device_is_available(), and so the driver can simply check
for
if (!strcmp(status, "disabled on core"))
	probe_children_only().

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2